import 'dart:developer' as dev;

enum SmartManagement { full, onlyBuilder, keepFactory }

typedef LoggerPrinter = void Function(String value, {String tag});

void defaultLoggerPrinter(String value, {String tag = 'Yuro'}) => dev.log(value, name: tag);

mixin YuroServiceMixin {}

abstract class YuroInterface {
  SmartManagement smartManagement = SmartManagement.full;
  String reference;
  LoggerPrinter log = defaultLoggerPrinter;
}

class _YuroImpl extends YuroInterface {}

// ignore: non_constant_identifier_names
final Yuro = _YuroImpl();